%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		docutils
#Epoch:		0
Version:	0.7
Release:	1
License:	Public Domain / Python / GNU/GPLv2	
URL:		http://docutils.sourceforge.net/
Group:		Development/Tools
Summary:	Documentation Utilities
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: python26-devel

%description
Docutils is an open-source text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX. It includes reStructuredText, the easy to read, easy to use, what-you-see-is-what-you-get plaintext markup language.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%install
rm -Rf $RPM_BUILD_ROOT

%{__python} setup.py install \
        --root=$RPM_BUILD_ROOT \
        --optimize=2

# force installation of roman.py, which won't be installed
# if another version of docutils is installed
install extras/roman.py $RPM_BUILD_ROOT%{python_sitearch}/roman.py

%files
%defattr(-,root,root)
%{_bindir}/rst2html.py
%{_bindir}/rst2latex.py
%{_bindir}/rst2man.py
%{_bindir}/rst2newlatex.py
%{_bindir}/rst2odt_prepstyles.py
%{_bindir}/rst2odt.py
%{_bindir}/rst2pseudoxml.py
%{_bindir}/rst2s5.py
%{_bindir}/rst2xml.py
%{_bindir}/rstpep2html.py
%{python_sitearch}/docutils-0.7-py2.6.egg-info
%{python_sitearch}/docutils
%{python_sitearch}/roman.py
%{python_sitearch}/roman.pyc
%{python_sitearch}/roman.pyo

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Oct 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- initial CCux package release
